Closed Bug 1533985 Opened 2 years ago Closed 2 years ago

firefox freezes/hangs when opening a youtube video in a new tab

Categories

(Core :: Audio/Video: Playback, defect, P1)

65 Branch
defect

Tracking

()

RESOLVED FIXED
Tracking Status
firefox65 --- wontfix
firefox66 + wontfix
firefox67 + fixed

People

(Reporter: aakash261194, Assigned: mjf)

References

Details

Attachments

(1 file)

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:65.0) Gecko/20100101 Firefox/65.0

Steps to reproduce:

Basically play any video on youtube by clicking open in new tab.

Actual results:

firefox freezes/hangs for a few seconds. While this is happening, i cant click on other tabs or close or minimize firefox. I had task manager running in background to see if my cpu or hdd or ram reaches 100% resulting in freezing but i wasn't the case. everything was normal. I have also recorded a video of it. here is the link - https://youtu.be/gPOzcZWT5SQ

i don't
t know if you can make it out from the video, but the mouse movement that you see in between the tabs, its me trying to switch tabs but since firefox is frozen, it wouldn't let me do it.

i am on the latest version of firefox quantum 65.0.2
my amd rx 470 gpu driver version is 19.2.2
my windows 10 version is 1809 build 17763.316

this started happening like a week ago. I have not made any changes to my add ons.

i was using the following addons before the issue started occuring and i am still using these add ons
alternate player for twitch.tv
hoxx vpn
idm module
popup blocker ultimate
ublock origin

i tried googling to find anything related to my problem. there were posts regarding firefox freezing but none pertaining to my specific case so i decided to care a bug report here.

Expected results:

Firefox should not have frozen. It should have seamlessly played the video.

Summary: firefox freezes/hangs when opening youtube in a new tab → firefox freezes/hangs when opening a youtube video in a new tab

Had the same problem with Version 65.0.2 (automatically updated to recently). Windows 8.1 here. Terrible hang ups opening Youtube videos. Would freeze partway opening resulting in just a black box appearing with no video playing in it and very slow result to closing the tab, greater than 30 secs or so.

I have downgraded Firefox back to version 64.0.2 (64Bit). Problem disappears. Youtube (even using multi tabs with several videos all playing at once) now plays fine with no hang ups at all. Tab instantly shuts when X clicked. I tried disabling graphic acceleration etc. Didn't do anything.

I might add Opera / Chrome has no problems playing the same content.

hello, can you try to replicate this behaviour when you launch firefox in safe mode once?
https://support.mozilla.org/en-US/kb/troubleshoot-extensions-themes-to-fix-problems

(In reply to [:philipp] from comment #2)

hello, can you try to replicate this behaviour when you launch firefox in safe mode once?
https://support.mozilla.org/en-US/kb/troubleshoot-extensions-themes-to-fix-problems

tried it. firefox is still freezing.

Component: Untriaged → Audio/Video: Playback
Product: Firefox → Core

Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:66.0) Gecko/20100101 Firefox/66.0
Windows 8.1 on the beta channel. Latest Nvidia drivers for GTX 980.

I experience the same issue as depicted in the video linked in comment #0. The hangup occurs regardless of newtab or not as well as on embedded youtube-videos from reddit and such.
The issue has been going on and off for maybe a month. I've tried a new whole new profile, as well as turning off h/w accel but to no avail.

I'll just note that it works fine for me on linux.

Paul, can you help investigate this on Windows?

Flags: needinfo?(padenot)

This looks like something that happened in between 64.0.2 and 65.0.2, but maybe it's between 65.0 and 65.0.2 (based on the dates of the reports). I don't see anything obvious in the log, and I can reproduce on my windows machine here, it must be OS and HW dependant.

I can't repro on my windows machine. It would be amazing to find a regression range here. We have a video that explains the process here: https://mozilla.github.io/mozregression/quickstart.html. This is available as a command line program or with a graphical user interface.

This will download a few Firefox in short succession in between two releases (like 64 and 65 here), and will find the problematic code changes.

This sounds like a main thread hang. We don't do much on the main thread for media, but there is a dispatch sync on windows, but I can't find it. jya, do you know where it is, and/or whether it was added in the suspected range?

Flags: needinfo?(padenot)
Flags: needinfo?(jyavenard)
Flags: needinfo?(idonno)
Flags: needinfo?(bogli.zk+bug)
Flags: needinfo?(aakash261194)

I've attempted to locate the regression with the tool but with no success (It simply doesn't occur). I've completely purged and reinstalled Firefox but the issue remains. I fired up a VM and tried to replicate the issue but without success.

I used the Gecko Profiler to record the following if it maybe tells something;
https://profiler.firefox.com/public/4c4941c047da08495cd0e3cc2ce3f2ef43fb8153/
This is pressing a random video from youtube.com, and shows the freeze while rendering and a smaller freeze when initializing playback.

For now I've started using Nightly for now since it works fine.

Flags: needinfo?(bogli.zk+bug)

Very cool that you were able to do this, Arvid, we have our smoking gun right there where there is a pinkish bar that says, on hover "5009ms event processing delay". It's caused by bool mozilla::RDDProcessManager::EnsureRDDReady, so I'm sending that over to Michael.

It happens twice, as you note, one at the beginning of your recording session, and one a bit later a bit before doing lots of network requests, presumably because we're about to start playback.

Again, thank you very much, this was extremely useful information!

Michael, it seems that we're synchronously waiting for an asynchronous operation on the main thread, this is not something we should be doing, can we have a look at this quickly?

Flags: needinfo?(mfroman)

I confirm due to video that demonstrates the error and the profile that reveals the issue. I see in the content process that the PContent::MSG_LaunchRDDProcess takes 5000, 15007ms and 5001ms.

It is also reported that the error does not repro in Nightly. I hope we have fixed it in between.

Status: UNCONFIRMED → NEW
Rank: 11
Ever confirmed: true
Priority: -- → P2

(In reply to Paul Adenot (:padenot) from comment #8)

Michael, it seems that we're synchronously waiting for an asynchronous operation on the main thread, this is not something we should be doing, can we have a look at this quickly?

I looked at this briefly in the past, but was unable to make async launch work. I don't understand enough about how the actual process launch mechanics work to make a quick fix. I would be happy to work with someone on converting to this to async so I can learn more about it.

Flags: needinfo?(mfroman)

(In reply to Alex Chronopoulos [:achronop] from comment #9)

I confirm due to video that demonstrates the error and the profile that reveals the issue. I see in the content process that the PContent::MSG_LaunchRDDProcess takes 5000, 15007ms and 5001ms.

Those values are… interesting.

It would help to add ,IOThread,Launch to the end of the “custom threads by name” list in the profiler (the dropdown from the toolbar button), to see what's going on with the process launch itself.

We have telemetry for process launch times (just the launch itself, not waiting for the process to start and connect back), and multi-second times are uncommon, but there is a very small peak in the bucket containing 5000ms.

(In reply to Paul Adenot (:padenot) from comment #6)

This looks like something that happened in between 64.0.2 and 65.0.2, but maybe it's between 65.0 and 65.0.2 (based on the dates of the reports). I don't see anything obvious in the log, and I can reproduce on my windows machine here, it must be OS and HW dependant.

I can't repro on my windows machine. It would be amazing to find a regression range here. We have a video that explains the process here: https://mozilla.github.io/mozregression/quickstart.html. This is available as a command line program or with a graphical user interface.

This will download a few Firefox in short succession in between two releases (like 64 and 65 here), and will find the problematic code changes.

This sounds like a main thread hang. We don't do much on the main thread for media, but there is a dispatch sync on windows, but I can't find it. jya, do you know where it is, and/or whether it was added in the suspected range?

I have run the mozregression (Windows GUI) to its end. Very interesting tool to run. Thanks for the experience. With some of the versions, Youtube would run fine, others stuck. Having never done this before, does it automatically load it to you? If not, I have saved the entire log anyway.

2019-03-13T16:21:46: INFO : Narrowed inbound regression window from [199b64bd, 80dc7df1] (3 builds) to [199b64bd, c28b226e] (2 builds) (~1 steps left)
2019-03-13T16:21:46: DEBUG : Starting merge handling...
2019-03-13T16:21:46: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=c28b226ee6c1d383487fb7dd75a14f419221a143&full=1
2019-03-13T16:21:47: DEBUG : Found commit message:
Bug 1514874 - start RDD process on-demand r=jya,jld

Differential Revision: https://phabricator.services.mozilla.com/D15775

2019-03-13T16:21:47: DEBUG : Did not find a branch, checking all integration branches
2019-03-13T16:21:47: INFO : The bisection is done.
2019-03-13T16:21:47: INFO : Stopped

(In reply to idonno from comment #13)

2019-03-13T16:21:46: INFO : Narrowed inbound regression window from [199b64bd, 80dc7df1] (3 builds) to [199b64bd, c28b226e] (2 builds) (~1 steps left)
2019-03-13T16:21:46: DEBUG : Starting merge handling...
2019-03-13T16:21:46: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=c28b226ee6c1d383487fb7dd75a14f419221a143&full=1
2019-03-13T16:21:47: DEBUG : Found commit message:
Bug 1514874 - start RDD process on-demand r=jya,jld

Differential Revision: https://phabricator.services.mozilla.com/D15775

2019-03-13T16:21:47: DEBUG : Did not find a branch, checking all integration branches
2019-03-13T16:21:47: INFO : The bisection is done.
2019-03-13T16:21:47: INFO : Stopped
That regression makes sense since before that we were launching the RDD process at startup. Now it is launched only when needed, meaning when an AV1 decoder is going to be used.

YouTube now appears to be using AV1 for the low resolutions. This is likely what make this bug only appear now.

Flags: needinfo?(jyavenard)

from the looks of it, i guess you guys found the issue?

i tried doing the regression thing. I set last good build as 64 and last bad build as 65 and tested upto 8 builds but the issue did not occur. Youtube worked fine. It never froze when i did the 'open in new tab' for any video. I stopped testing builds after this.

If you still need any data, please let me know. I'd be happy to help.

On side note : i dont know how this needinfo request works in here. so please ignore any needinfo request you see from my side.

Flags: needinfo?(aakash261194)

(In reply to aakash261194 from comment #16)

from the looks of it, i guess you guys found the issue?

i tried doing the regression thing. I set last good build as 64 and last bad build as 65 and tested upto 8 builds but the issue did not occur. Youtube worked fine. It never froze when i did the 'open in new tab' for any video. I stopped testing builds after this.

We didn't have AV1 support until 65. And YouTube wasn't serving AV1 then (I only realised they were using AV1 by default today).

For now, I've contacted YouTube asking them to stop serving us AV1 on Firefox 65 and 66.

Could you please post your about:support text?

If we need to quickly pref off RDD, please see Bug 1535400 for the patch.

See Also: → 1535400

YT will no longer sends AV1 to Firefox <= 66.

(In reply to Arvid from comment #7)

For now I've started using Nightly for now since it works fine.

Do we have any idea why this would work on Nightly but not Beta 66? The only related bug I know of is bug 1487287, but that just changes the thread where we do CreateProcess (and the sandbox setup); everything else that's waiting for the launch to finish would still be waiting. But if there's third-party software injecting DLLs into Firefox that's causing this problem, and it's not detecting Nightly as something to target, that could explain it.

It would be helpful if someone could reproduce this while profiling with IOThread and Launch added to the thread filter as mentioned in comment #11, to see where we're blocked. There's an AV1 test page that should work even while the YouTube change is rolled back.

Priority: P2 → P1
Depends on: 1514874

(In reply to Jed Davis [:jld] ⟨⏰|UTC-6⟩ ⟦he/him⟧ from comment #21)

Do we have any idea why this would work on Nightly but not Beta 66? The only related bug I know of is bug 1487287, but that just changes the thread where we do CreateProcess (and the sandbox setup); everything else that's waiting for the launch to finish would still be waiting. But if there's third-party software injecting DLLs into Firefox that's causing this problem, and it's not detecting Nightly as something to target, that could explain it.

Yeah I'm also wondering if some security or anti virus software or something like that slows down process creation. For the folks who experience this problem: do you run any anti virus software on you systems?

(In reply to Jed Davis [:jld] ⟨⏰|UTC-6⟩ ⟦he/him⟧ from comment #21)

But if there's third-party software injecting DLLs into Firefox that's causing this problem, and it's not detecting Nightly as something to target, that could explain it.

I had similar thoughts and played around with disabling Windows autostarts and renaming the Firefox main executable to (maybe) exclude such issues earlier.

It would be helpful if someone could reproduce this while profiling with IOThread and Launch added to the thread filter as mentioned in comment #11, to see where we're blocked. There's an AV1 test page that should work even while the YouTube change is rolled back.

Indeed the freeze showed again when I visited the demo, where as Youtube now seems to work. Again the freeze both while painting and starting playback.
I attached the json since the upload thing didn't work for some reason.

(In reply to Nils Ohlmeier [:drno] from comment #22)

Yeah I'm also wondering if some security or anti virus software or something like that slows down process creation. For the folks who experience this problem: do you run any anti virus software on you systems?

I don't have any such software. Not even defender.

i dont run any anti virus software except malwarebytes.

on side note, this looks to be fixed, after the av1 changes that you guys requested from youtube's end.

(In reply to Arvid from comment #23)

It would be helpful if someone could reproduce this while profiling with IOThread and Launch added to the thread filter as mentioned in comment #11, to see where we're blocked. There's an AV1 test page that should work even while the YouTube change is rolled back.

Indeed the freeze showed again when I visited the demo, where as Youtube now seems to work. Again the freeze both while painting and starting playback.
I attached the json since the upload thing didn't work for some reason.

I do run antivirus but having updated FF back to 65.0.2, YouTube videos now play without any problems - presumably because of the fix applied by YT.

Playing the AV1 test video - I don't know if it is normal for the clip to change resolution and download speed on the fly? E.g was playing quite well at 720p@800kbps to then go down to a new res of (variable)p@100kbps resulting in a hang up for a good couple of seconds each time it occurred, even though the buffer is showing 15% full and climbing! FF itself hangs, stutters, at that point and will not let me change tabs until it is done.

Flags: needinfo?(idonno)

Forgot to mention that it stutters whether antivirus is used or not.

Yes YouTube works fine again, because they no longer serve AV1 videos to Firefox. So you get VP9 videos instead, and VP9 decoding doesn't take the same path in Firefox.

Assignee: nobody → mfroman

(In reply to aakash261194 from comment #25)

i dont run any anti virus software except malwarebytes.

Are you using their premium version, or just the free?

on side note, this looks to be fixed, after the av1 changes that you guys requested from youtube's end.

Yeah YouTube no longer serves AV1 videos until we can fix it in Firefox.

Flags: needinfo?(aakash261194)

The profile in comment #23 shows the IPC I/O thread completely idle while the main thread is waiting for the process to connect back (and this is 66, so launch happens entirely on that thread). And the timeout is exactly 5000 ms, which I didn't notice until now (cf. 30s for GMP), so either the process is somehow taking longer than that to reach the point early in startup where IPC is initialized, or else it's crashing (or deadlocking) before that point.

Jed, any thoughts on how we might tell whether the process is crashing or just taking super long? I thought 5s was a generous launch timeout. Surely we wouldn't expect processes launches to take longer than that often would we?

Flags: needinfo?(jld)

(In reply to Michael Froman [:mjf] from comment #31)

Jed, any thoughts on how we might tell whether the process is crashing or just taking super long? I thought 5s was a generous launch timeout. Surely we wouldn't expect processes launches to take longer than that often would we?

I don't know much about how Windows handles this kind of thing, so I asked on IRC #runtime; jimm mentioned that the event viewer should have crash information if there was a crash.

In principle IPC could be doing more here to report what the OS can tell us about child process status, but it's not, and that won't be simple to fix.

As for whether 5s is enough, I don't know that we have telemetry about this on Windows, but we effectively do on Mac (see the parenthetical in bug 1536683 comment #0), where the 99th percentile on beta is about 2.6s.

But I can think of a simple way to test this: change media.rdd-process.startup_timeout_ms to 30000, try to repro, and see what happens.

Flags: needinfo?(jld)

I changed the value and reproduced the freeze, this time taking 30000ms instead of 5000. The event viewer showed a Application Hang, but there's no dump or anything i perceive as useful.

<Data>firefox.exe</Data> 
  <Data>66.0.0.7005</Data> 
  <Data>1a54</Data> 
  <Data>01d4deb699c114d1</Data> 
  <Data>3</Data> 
  <Data>C:\Program Files\Mozilla Firefox\firefox.exe</Data> 
  <Data>f52bf65c-4aa9-11e9-8710-bc5ff4cd1bb9</Data> 
  <Data /> 
  <Data /> 
  <Binary>55006E006B006E006F0077006E0000000000</Binary> 

Before saving the json I accidentally updated to 67.0b3 and I cannot reproduce the issue anymore.

Anthony Jones mentioned that this sounds similar to bug 1515088, in which case we'd apparently need exactly the same version of Windows (the specific build, not just Win10 vs. Win8 etc.) to try to reproduce this.

Another thing that could be tested is to temporarily turn off the RDD sandbox by setting the MOZ_DISABLE_RDD_SANDBOX environment variable.

See Also: → 1515088

I don't think anyone's reported this on 67 yet, and there are reports (comment #7, comment #33) that this doesn't reproduce on the 67 branch, both as late Nightly and early Beta. So it's possible that it was fixed by something that landed in the 67 cycle but wasn't uplifted to 66. Note that YouTube will still serve AV1 to 67 and up (comment #20, also verified experimentally).

It would be interesting to see if this is reliably broken on an early 67 Nightly (like 2019-02-01); if so, mozregression should be able to find where it was fixed.

Could you try with Firefox beta 67 and see if the issue still occurs for you thank you.

Firefox was upgraded automatically today to 66.0.1 (64-bit). I have run the AV1 Test video mentioned in comment #21 and that still stutters in Ver 66. I have also downloaded Ver. 67.0b4 (64-bit) and Nightly Ver 68.0a1 (2019-03-23) (64-bit) and have run the AV1Test Video in both (several times) and the video runs as expected. Very smooth.

I ran the regression tool on 66-67

2019-03-23T14:46:46: INFO : Narrowed inbound regression window from [1e042fc7, 38b41795] (3 builds) to [1e042fc7, 55a7c08b] (2 builds) (~1 steps left)
2019-03-23T14:46:46: DEBUG : Starting merge handling...
2019-03-23T14:46:46: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=55a7c08b3b67c472266f383b14cc4ca3803849c9&full=1
2019-03-23T14:46:46: DEBUG : Found commit message:
Bug 1511438 Part 2: Enable win32k lockdown on RDD process. r=jimm

This stops the use of some win32k calls during start-up that will fail and in
some cases cause a crash.

It also moves the MITIGATION_DYNAMIC_CODE_DISABLE to be enabled after start-up.
This is required because the hooks to fake the user32 and gdi32 initialization
are applied as the DLLs load and the dynamic code disable blocks that.

2019-03-23T14:46:46: DEBUG : Did not find a branch, checking all integration branches
2019-03-23T14:46:46: INFO : The bisection is done.
2019-03-23T14:46:46: INFO : Stopped

(In reply to idonno from comment #37)

I ran the regression tool on 66-67

Thanks a lot for doing that!

Bug 1511438 Part 2: Enable win32k lockdown on RDD process. r=jimm

So without the win32k lockdown users are experiencing these delays. Sounds really strange to me.
Bob, Jim: do you have a possible explanation for this?

Flags: needinfo?(jmathies)
Flags: needinfo?(bobowencode)

(In reply to Nils Ohlmeier [:drno] from comment #38)
...

Bug 1511438 Part 2: Enable win32k lockdown on RDD process. r=jimm

So without the win32k lockdown users are experiencing these delays. Sounds really strange to me.
Bob, Jim: do you have a possible explanation for this?

That does seem odd, my guess would be that it was the other things that were part of the same changeset. There is a pref to turn off the win32k lockdown (set security.sandbox.rdd.win32k-disable to false), so we could prove if it were the lockdown.

Flags: needinfo?(bobowencode)

(In reply to Bob Owen (:bobowen) (away until 1st April) from comment #39)

That does seem odd, my guess would be that it was the other things that were part of the same changeset. There is a pref to turn >off the win32k lockdown (set security.sandbox.rdd.win32k-disable to false), so we could prove if it were the lockdown.

security.sandbox.rdd.win32k-disable doesn't appear in about:config in FF 66.0.1 (64-bit)
security.sandbox.rdd.win32k-disable appears in FF 67.0b4 and whether the pref is set false or true, the test video plays seamlessly.

With the video playing in the background on FF66, there are definite pauses switching between tabs and I am seeing the same as I type this on FF66. Hopefully it is fixed in FF67 as that seems to play fine, switching tabs occur seamlessly with no pauses etc.

Hi idonno, could you please post your about:support text here for us? Thanks!

Flags: needinfo?(jmathies)
Flags: needinfo?(idonno)
Flags: needinfo?(aakash261194)

Also, if you're up for a small challenge, we'd love to get a profiler run from you on the system that experiences the issue. Instructions here -

https://developer.mozilla.org/en-US/docs/Mozilla/Performance/Reporting_a_Performance_Problem

(In reply to Jim Mathies [:jimm] from comment #41)

Hi idonno, could you please post your about:support text here for us? Thanks!

How is that usually presented / posted on here?

I'll have a read of the profiler run, see what I can do.

Flags: needinfo?(idonno)

(In reply to idonno from comment #43)

(In reply to Jim Mathies [:jimm] from comment #41)

Hi idonno, could you please post your about:support text here for us? Thanks!

How is that usually presented / posted on here?

I'll have a read of the profiler run, see what I can do.

visit about:support, there's a button - 'copy text' and then just post the whole thing in here as a comment.

(In reply to Jim Mathies [:jimm] from comment #44)

visit about:support, there's a button - 'copy text' and then just post the whole thing in here as a comment.

Application Basics

Name: Firefox
Version: 66.0.1
Build ID: 20190322013140
Update Channel: release
User Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:66.0) Gecko/20100101 Firefox/66.0
OS: Windows_NT 6.3
Multiprocess Windows: 1/1 Enabled by default
Web Content Processes: 4/8
Enterprise Policies: Inactive
Google Location Service Key: Found
Google Safebrowsing Key: Found
Mozilla Location Service Key: Found
Safe Mode: false

Crash Reports

All Crash Reports Firefox Features

Name: Firefox Monitor
Version: 2.8
ID: fxmonitor@mozilla.org

Name: Firefox Screenshots
Version: 35.0.0
ID: screenshots@mozilla.org

Name: Form Autofill
Version: 1.0
ID: formautofill@mozilla.org

Name: Web Compat
Version: 3.0.2
ID: webcompat@mozilla.org

Name: WebCompat Reporter
Version: 1.1.0
ID: webcompat-reporter@mozilla.org

Extensions

Name: Gecko Profiler
Version: 0.30
Enabled: true
ID: geckoprofiler@mozilla.com

Name: AdBlock
Version: 3.27.0
Enabled: false
ID: jid1-NIfFY2CA8fy1tg@jetpack

Name: Adblock Plus - free ad blocker
Version: 3.5
Enabled: false
ID: {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

Name: ColorfulTabs
Version: 32.9
Enabled: false
ID: {0545b830-f0aa-4d7e-8820-50a4629a56fe}

Name: FVD Speed Dial
Version: 69.4.5
Enabled: false
ID: pavel.sherbakov@gmail.com

Name: Midnight Lizard
Version: 10.3.6
Enabled: false
ID: {8fbc7259-8015-4172-9af1-20e1edfbbd3a}

Name: NoScript
Version: 10.2.5
Enabled: false
ID: {73a6fe31-595d-460b-a920-fcc0f8843232}

Name: Open Tabs Next to Current
Version: 2.0.11
Enabled: false
ID: opentabsnexttocurrent@sblask

Name: Tab Mix Plus
Version: 0.5.1
Enabled: false
ID: {dc572301-7619-498c-a57d-39143191b318}

Security Software

Type: ZoneAlarm Extreme Security Antivirus

Type: ZoneAlarm Extreme Security Anti-Spyware

Type: ZoneAlarm Extreme Security Firewall

Graphics

Features
Compositing: Direct3D 11 (Advanced Layers)
Asynchronous Pan/Zoom: wheel input enabled; scrollbar drag enabled; keyboard enabled; autoscroll enabled
WebGL 1 Driver WSI Info: EGL_VENDOR: Google Inc. (adapter LUID: 000000000000a698) EGL_VERSION: 1.4 (ANGLE 2.1.0.eff6bfdb1db9) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_CHROMIUM_sync_control EGL_EXT_pixel_format_float EGL_KHR_surfaceless_context EGL_ANGLE_display_texture_share_group EGL_ANGLE_create_context_client_arrays EGL_ANGLE_program_cache_control EGL_ANGLE_robust_resource_initialization EGL_ANGLE_create_context_extensions_enabled EGL_MOZ_create_context_provoking_vertex_dont_care EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses EGL_KHR_debug EGL_ANGLE_explicit_context
WebGL 1 Driver Renderer: Google Inc. -- ANGLE (Radeon RX 580 Series Direct3D11 vs_5_0 ps_5_0)
WebGL 1 Driver Version: OpenGL ES 2.0 (ANGLE 2.1.0.eff6bfdb1db9)
WebGL 1 Driver Extensions: GL_ANGLE_client_arrays GL_ANGLE_depth_texture GL_ANGLE_explicit_context GL_ANGLE_explicit_context_gles1 GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_program_cache_control GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_color_buffer_float_rgb GL_CHROMIUM_color_buffer_float_rgba GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_s3tc_srgb GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_surfaceless_context GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object OES_compressed_EAC_R11_signed_texture OES_compressed_EAC_R11_unsigned_texture OES_compressed_EAC_RG11_signed_texture OES_compressed_EAC_RG11_unsigned_texture OES_compressed_ETC2_RGB8_texture OES_compressed_ETC2_RGBA8_texture OES_compressed_ETC2_punchthroughA_RGBA8_texture OES_compressed_ETC2_punchthroughA_sRGB8_alpha_texture OES_compressed_ETC2_sRGB8_alpha8_texture OES_compressed_ETC2_sRGB8_texture
WebGL 1 Extensions: ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_sRGB EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
WebGL 2 Driver WSI Info: EGL_VENDOR: Google Inc. (adapter LUID: 000000000000a698) EGL_VERSION: 1.4 (ANGLE 2.1.0.eff6bfdb1db9) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_CHROMIUM_sync_control EGL_EXT_pixel_format_float EGL_KHR_surfaceless_context EGL_ANGLE_display_texture_share_group EGL_ANGLE_create_context_client_arrays EGL_ANGLE_program_cache_control EGL_ANGLE_robust_resource_initialization EGL_ANGLE_create_context_extensions_enabled EGL_MOZ_create_context_provoking_vertex_dont_care EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses EGL_KHR_debug EGL_ANGLE_explicit_context
WebGL 2 Driver Renderer: Google Inc. -- ANGLE (Radeon RX 580 Series Direct3D11 vs_5_0 ps_5_0)
WebGL 2 Driver Version: OpenGL ES 3.0 (ANGLE 2.1.0.eff6bfdb1db9)
WebGL 2 Driver Extensions: GL_ANGLE_client_arrays GL_ANGLE_depth_texture GL_ANGLE_explicit_context GL_ANGLE_explicit_context_gles1 GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_multiview GL_ANGLE_pack_reverse_row_order GL_ANGLE_program_cache_control GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_color_buffer_float_rgb GL_CHROMIUM_color_buffer_float_rgba GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_s3tc_srgb GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_surfaceless_context GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object OES_compressed_EAC_R11_signed_texture OES_compressed_EAC_R11_unsigned_texture OES_compressed_EAC_RG11_signed_texture OES_compressed_EAC_RG11_unsigned_texture OES_compressed_ETC2_RGB8_texture OES_compressed_ETC2_RGBA8_texture OES_compressed_ETC2_punchthroughA_RGBA8_texture OES_compressed_ETC2_punchthroughA_sRGB8_alpha_texture OES_compressed_ETC2_sRGB8_alpha8_texture OES_compressed_ETC2_sRGB8_texture
WebGL 2 Extensions: EXT_color_buffer_float EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_texture_float_linear WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Direct2D: true
Off Main Thread Painting Enabled: true
Off Main Thread Painting Worker Count: 4
Target Frame Rate: 60
DirectWrite: true (6.3.9600.18696)
GPU #1
Active: Yes
Description: Radeon RX 580 Series
Vendor ID: 0x1002
Device ID: 0x67df
Driver Version: 23.20.15017.3010
Driver Date: 1-31-2018
Drivers: aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Subsys ID: 34181462
RAM: 8192
GPU #2
Active: No
Description: NVIDIA GeForce GTX 960
Vendor ID: 0x10de
Device ID: 0x1401
Driver Version: 23.21.13.9135
Driver Date: 3-23-2018
Drivers: nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
Subsys ID: 0000000c
RAM: 4096
Diagnostics
ClearType Parameters: Gamma: 2.2 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50
AzureCanvasAccelerated: 0
AzureCanvasBackend: direct2d 1.1
AzureCanvasBackend (UI Process): skia
AzureContentBackend: direct2d 1.1
AzureContentBackend (UI Process): skia
AzureFallbackCanvasBackend (UI Process): cairo
GPUProcessPid: 6732
ClearType Parameters: Gamma: 2.2 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50
Decision Log
WEBRENDER:
opt-in by default: WebRender is an opt-in feature
WEBRENDER_QUALIFIED:
blocked by env: No qualified hardware

Media

Audio Backend: wasapi
Max Channels: 2
Preferred Sample Rate: 48000
Output Devices
Name: Group
NVIDIA Output (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001
MStar Demo (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001
Realtek Digital Output(Optical) (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Digital Audio (HDMI) (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
Digital Audio (HDMI) (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
PL2590 (NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&361237fd&0&0001
NVIDIA Output (NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&361237fd&0&0001
Realtek HDMI Output (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Digital Audio (HDMI) (2- High Definition Audio Device): HDAUDIO\FUNC_01&VEN_8086&DEV_2807&SUBSYS_80860101&REV_1000\4&3659ee06&0&0001
NVIDIA Output (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001
PL2590 (NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&361237fd&0&0001
Digital Audio (HDMI) (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
Realtek Digital Output (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Digital Audio (HDMI) (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
Realtek HD Audio 2nd output (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
NVIDIA Output (NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&361237fd&0&0001
Digital Audio (HDMI) (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
NVIDIA Output (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001
Speakers (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Input Devices
Name: Group
Mic in at rear panel (Pink) (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Stereo Mix (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Internal AUX Jack (NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&361237fd&0&0001
Internal AUX Jack (2- High Definition Audio Device): HDAUDIO\FUNC_01&VEN_8086&DEV_2807&SUBSYS_80860101&REV_1000\4&3659ee06&0&0001
Line in at rear panel (black) (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Internal AUX Jack (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001
Internal AUX Jack (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001
Subwoofer (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Internal AUX Jack (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001
Internal AUX Jack (NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&361237fd&0&0001
Internal AUX Jack (NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&361237fd&0&0001
Rear Blue In (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Mic in at front panel (Pink) (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Side (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Microphone (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Rear (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Center (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Internal AUX Jack (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
Front (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Internal AUX Jack (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
Line in at rear panel (Blue) (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Rear Black In (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Internal AUX Jack (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
Line In (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Front Pink In (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Microphone (Realtek High Definition Audio): HDAUDIO\FUNC_01&VEN_10EC&DEV_0900&SUBSYS_10438608&REV_1000\4&3895049b&0&0001
Internal AUX Jack (High Definition Audio Device): HDAUDIO\FUNC_01&VEN_1002&DEV_AA01&SUBSYS_00AA0100&REV_1007\5&df21110&0&0001
Internal AUX Jack (2- NVIDIA High Definition Audio): HDAUDIO\FUNC_01&VEN_10DE&DEV_0072&SUBSYS_10438528&REV_1001\5&100b499c&0&0001

Important Modified Preferences

accessibility.force_disabled: 1
accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 1048576
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.hashstats_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 1
browser.display.background_color: #c0c0c0
browser.places.smartBookmarksVersion: 8
browser.search.openintab: true
browser.search.update: false
browser.search.useDBForOrder: true
browser.sessionstore.restore_pinned_tabs_on_demand: true
browser.sessionstore.resume_from_crash: false
browser.sessionstore.upgradeBackup.latestBuildID: 20190322013140
browser.startup.homepage_override.buildID: 20190322013140
browser.startup.homepage_override.mstone: 66.0.1
browser.tabs.closeWindowWithLastTab: false
browser.tabs.loadInBackground: false
browser.tabs.remote.autostart.2: true
browser.tabs.warnOnClose: false
browser.urlbar.lastSuggestionsPromptDate: 20171112
browser.urlbar.matchBuckets: general:5,suggestion:Infinity
browser.urlbar.searchSuggestionsChoice: false
browser.urlbar.suggest.openpage: false
browser.urlbar.suggest.searches: false
browser.urlbar.timesBeforeHidingSuggestionsHint: 0
dom.ipc.processCount.web: 4
dom.push.userAgentID: 2a72c4d3dd904063b81f2b5ee5f7cf45
extensions.lastAppVersion: 66.0.1
font.internaluseonly.changed: false
gfx.crash-guard.d3d11layers.appVersion: 65.0.1
gfx.crash-guard.d3d11layers.deviceID: 0x67df
gfx.crash-guard.d3d11layers.driverVersion: 6.3.9600.16384
gfx.crash-guard.d3d11layers.feature-d2d: false
gfx.crash-guard.d3d11layers.feature-d3d11: false
gfx.crash-guard.status.d3d11layers: 2
gfx.crash-guard.status.d3d11video: 2
layers.mlgpu.sanity-test-failed: false
media.benchmark.vp9.fps: 364
media.benchmark.vp9.versioncheck: 5
media.gmp-gmpopenh264.abi: x86_64-msvc-x64
media.gmp-gmpopenh264.lastUpdate: 1510486556
media.gmp-gmpopenh264.version: 1.7.1
media.gmp-manager.buildID: 20190322013140
media.gmp-manager.lastCheck: 1553634537
media.gmp-widevinecdm.abi: x86_64-msvc-x64
media.gmp-widevinecdm.lastUpdate: 1552498288
media.gmp-widevinecdm.version: 4.10.1146.0
media.gmp.storage.version.observed: 1
media.hardware-video-decoding.failed: false
network.cookie.cookieBehavior: 4
network.cookie.prefsMigrated: true
network.http.throttle.version: 2
network.predictor.cleaned-up: true
places.database.lastMaintenance: 1553364582
places.history.expiration.transient_current_max_pages: 127255
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.state.flash: 2
plugins.ctprollout.cohort: test
plugins.ctprollout.cohortSample: 0.514967
print.printer_Lexmark_CS410_Series.print_bgcolor: false
print.printer_Lexmark_CS410_Series.print_bgimages: false
print.printer_Lexmark_CS410_Series.print_duplex: -437918235
print.printer_Lexmark_CS410_Series.print_edge_bottom: 0
print.printer_Lexmark_CS410_Series.print_edge_left: 0
print.printer_Lexmark_CS410_Series.print_edge_right: 0
print.printer_Lexmark_CS410_Series.print_edge_top: 0
print.printer_Lexmark_CS410_Series.print_evenpages: true
print.printer_Lexmark_CS410_Series.print_footercenter:
print.printer_Lexmark_CS410_Series.print_footerleft: &PT
print.printer_Lexmark_CS410_Series.print_footerright: &D
print.printer_Lexmark_CS410_Series.print_headercenter:
print.printer_Lexmark_CS410_Series.print_headerleft: &T
print.printer_Lexmark_CS410_Series.print_headerright: &U
print.printer_Lexmark_CS410_Series.print_in_color: true
print.printer_Lexmark_CS410_Series.print_margin_bottom: 0.5
print.printer_Lexmark_CS410_Series.print_margin_left: 0.5
print.printer_Lexmark_CS410_Series.print_margin_right: 0.5
print.printer_Lexmark_CS410_Series.print_margin_top: 0.5
print.printer_Lexmark_CS410_Series.print_oddpages: true
print.printer_Lexmark_CS410_Series.print_orientation: 0
print.printer_Lexmark_CS410_Series.print_page_delay: 50
print.printer_Lexmark_CS410_Series.print_paper_data: 9
print.printer_Lexmark_CS410_Series.print_paper_height: -1.00
print.printer_Lexmark_CS410_Series.print_paper_name:
print.printer_Lexmark_CS410_Series.print_paper_size_unit: 1
print.printer_Lexmark_CS410_Series.print_paper_width: -1.00
print.printer_Lexmark_CS410_Series.print_resolution: 600
print.printer_Lexmark_CS410_Series.print_reversed: false
print.printer_Lexmark_CS410_Series.print_scaling: 0.70
print.printer_Lexmark_CS410_Series.print_shrink_to_fit: true
print.printer_Lexmark_CS410_Series.print_to_file: false
print.printer_Lexmark_CS410_Series.print_unwriteable_margin_bottom: 17
print.printer_Lexmark_CS410_Series.print_unwriteable_margin_left: 14
print.printer_Lexmark_CS410_Series.print_unwriteable_margin_right: 17
print.printer_Lexmark_CS410_Series.print_unwriteable_margin_top: 18
privacy.donottrackheader.enabled: true
privacy.sanitize.pending: [{"id":"newtab-container","itemsToClear":[],"options":{}}]
privacy.trackingprotection.enabled: true
privacy.trackingprotection.introCount: 20
security.sandbox.content.tempDirSuffix: {b2bc2f8f-485c-4fbd-a32c-477485de5e6b}
security.sandbox.plugin.tempDirSuffix: {13fd93fc-b057-4080-84f9-f44a8bb85431}
security.ssl.errorReporting.automatic: true
services.sync.declinedEngines:
signon.importedFromSqlite: true
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1553068190
ui.osk.debug.keyboardDisplayReason: IKPOS: Touch screen not found.
ui.osk.enabled: false

Important Locked Preferences

Places Database

JavaScript

Incremental GC: true

Accessibility

Activated: false
Prevent Accessibility: 1
Accessible Handler Used: false
Accessibility Instantiator:

Library Versions

NSPR
Expected minimum version: 4.20
Version in use: 4.20

NSS
Expected minimum version: 3.42.1
Version in use: 3.42.1

NSSSMIME
Expected minimum version: 3.42.1
Version in use: 3.42.1

NSSSSL
Expected minimum version: 3.42.1
Version in use: 3.42.1

NSSUTIL
Expected minimum version: 3.42.1
Version in use: 3.42.1

Sandbox

Content Process Sandbox Level: 5
Effective Content Process Sandbox Level: 5

Internationalisation & Localisation

Application Settings
Requested Locales: ["en-GB","en-US"]
Available Locales: ["en-GB","vi","en-US"]
App Locales: ["en-GB","en-US"]
Regional Preferences: ["en-GB"]
Default Locale: "en-US"
Operating System
System Locales: ["en-GB"]
Regional Preferences: ["en-GB"]

(In reply to Jim Mathies [:jimm] from comment #42)

Also, if you're up for a small challenge, we'd love to get a profiler run from you on the system that experiences the issue.

Think I've done it correctly, if not, let me know.
System Win 8.1, Intel I7 4790K 16Gb Memory, GPU Radeon RX580 8Gb.
Firefox 66.0.1 With all Add Ons disabled (except Gecko)

Av1 Test Video used. Video only playing with no other inputs or mouse movement etc.

Gecko Profile URL: http://bit.ly/2HTQUCB

I have redone a profiler run with ,IOThread,Launch added.
URL:http://bit.ly/2HSHzLe

(In reply to idonno from comment #47)

I have redone a profiler run with ,IOThread,Launch added.
URL:http://bit.ly/2HSHzLe

Basically the same as comment #30: 10ms in NtCreateUserProcess, which is reasonable, then blocking for the entire 5 second timeout waiting for the process to connect to the named pipe.

Flags: needinfo?(bobowencode)
Depends on: 1535704

I can't reproduce this issue, but my guess is that it was the removal of the COM initialization as part of bug 1511438 that fixed this.

The COM initialization wasn't needed for AV1, but it is for other decoders and in bug 1535704 we're investigating how we get that to work with the sandbox.

No longer depends on: 1535704
Flags: needinfo?(bobowencode)
See Also: → 1535704

OK. Can we close this bug since bug 1511438 is fixed in 67, and there is a followup filed for the remaining issues in bug 1535704? Or, is there something left to do here?

Flags: needinfo?(mfroman)

I think that's reasonable since Bug 1535704 exists.

Flags: needinfo?(mfroman)

(In reply to Liz Henry (:lizzard) (use needinfo) from comment #50)

OK. Can we close this bug since bug 1511438 is fixed in 67, and there is a followup filed for the remaining issues in bug 1535704? Or, is there something left to do here?

Looks to me like there isn't any action to be taken here any more. So I think we can close. There is always the option to re-open.

Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.